BackendHTTP APIProviders

List provider templates

Returns the template functions available in the catalog for a provider.

GET
/providers/{provider}/templates

Returns the template functions available in the catalog for a provider. Requires a valid API key (no specific scope).

Authorization

bearerAuth
headerAuthorizationBearer <token>

An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.

Path Parameters

provider*string

The provider name.

Response Body

Successfully returned the provider's template functions

application/json
  1. response
data*array<|>
Example Request
curl -X GET 'https://api.tenklo.dev/providers/string/templates'
Example Response
{  "data": [    {      "name": "string",      "description": "string",      "scopes": [        "string"      ],      "type": "sync",      "input": "string",      "returns": [        "string"      ],      "json_schema": {},      "runs": "string",      "auto_start": true,      "track_deletes": true    }  ]}